-- [C6MartPeriodico].[GESTIONE_UPDATE_ZIP_COPY] 811
CREATE procedure [C6MartPeriodico].[GESTIONE_UPDATE_ZIP_COPY] 
	@Id int
AS
BEGIN
	UPDATE [C6MartPeriodico].GESTIONE_ZIP_FTP
	SET
		DateCopyToSend = GetDate()
	WHERE
		Id = @Id;
-- COLAIANNI-CONSOLI - 28.06.2011
-- SETTA NELLA CONTROLLO_REPORT LO STATO 6 (INVIATO)
-- PER TUTTI I REPORT CHE SI TROVANO NELLO STATO 4 (STAMPATO)
	--UPDATE [C6MartPeriodico].CONTROLLO_TRIMESTRALE
	--SET
	--	STATO_REPORT = 6, 
	--	PACCHETTO_ZIP = @Id, 
	--	DATA_TRANSIZIONE=GETDATE()
	--WHERE
	--	STATO_REPORT = 4
	--	AND COD_FISCALE+RETE IN 
	--		(
	--		 SELECT CODICEFISCALE+RETE 
	--		 FROM C6MARTPERIODICO.GESTIONE_PDF_FTP
	--		 WHERE ID_FK_ZIP = @id
	--		);
-- Caruso-Verdecchia 17/04/2014
--Sostituita per time-out
update t
SET
		t.STATO_REPORT = 6, 
		t.PACCHETTO_ZIP = @Id, 
		t.DATA_TRANSIZIONE=GETDATE()
from C6MartPeriodico.CONTROLLO_TRIMESTRALE t
inner join  C6MARTPERIODICO.GESTIONE_PDF_FTP	 g
on 	t.rete=g.rete and t.cod_fiscale = g.codicefiscale
and ID_FK_ZIP = @Id
where STATO_REPORT = 4
END